gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.ObjectConstructParam

Contents

- Exported types
- Methods
- Properties
  - pspec
  - value

Description

The GObjectConstructParam struct is an auxiliary structure used to hand `ParamSpec`/t`Value` pairs to the `constructor` of a `ObjectClass`.

Synopsis

- newtype ObjectConstructParam = ObjectConstructParam (ManagedPtr ObjectConstructParam)
- newZeroObjectConstructParam :: MonadIO m => m ObjectConstructParam
- clearObjectConstructParamPspec :: MonadIO m => ObjectConstructParam -> m ()
- getObjectConstructParamPspec :: MonadIO m => ObjectConstructParam -> m (Maybe GParamSpec)
- setObjectConstructParamPspec :: MonadIO m => ObjectConstructParam -> Ptr GParamSpec -> m ()
- clearObjectConstructParamValue :: MonadIO m => ObjectConstructParam -> m ()
- getObjectConstructParamValue :: MonadIO m => ObjectConstructParam -> m (Maybe GValue)
- setObjectConstructParamValue :: MonadIO m => ObjectConstructParam -> Ptr GValue -> m ()

# Exported types

newtype ObjectConstructParam Source #

Memory-managed wrapper type.

Constructors

ObjectConstructParam (ManagedPtr ObjectConstructParam) |

#### Instances

Instances details

Eq ObjectConstructParam Source # |
Instance details Defined in GI.GObject.Structs.ObjectConstructParam Methods (==) :: ObjectConstructParam -> ObjectConstructParam -> Bool Source # (/=) :: ObjectConstructParam -> ObjectConstructParam -> Bool Source #
BoxedPtr ObjectConstructParam Source # |
Instance details Defined in GI.GObject.Structs.ObjectConstructParam Methods boxedPtrCopy :: ObjectConstructParam -> IO ObjectConstructParam Source # boxedPtrFree :: ObjectConstructParam -> IO () Source #
CallocPtr ObjectConstructParam Source # |
Instance details Defined in GI.GObject.Structs.ObjectConstructParam Methods boxedPtrCalloc :: IO (Ptr ObjectConstructParam) Source #
ManagedPtrNewtype ObjectConstructParam Source # |
Instance details Defined in GI.GObject.Structs.ObjectConstructParam Methods toManagedPtr :: ObjectConstructParam -> ManagedPtr ObjectConstructParam Source #
tag ~ 'AttrSet => Constructible ObjectConstructParam tag Source # |
Instance details Defined in GI.GObject.Structs.ObjectConstructParam Methods new :: MonadIO m => (ManagedPtr ObjectConstructParam -> ObjectConstructParam) -> [AttrOp ObjectConstructParam tag] -> m ObjectConstructParam Source #

newZeroObjectConstructParam :: MonadIO m => m ObjectConstructParam Source #

Construct a `ObjectConstructParam` struct initialized to zero.

# Methods

# Properties

## pspec

the `ParamSpec` of the construct parameter

clearObjectConstructParamPspec :: MonadIO m => ObjectConstructParam -> m () Source #

Set the value of the “`pspec`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #pspec

getObjectConstructParamPspec :: MonadIO m => ObjectConstructParam -> m (Maybe GParamSpec) Source #

Get the value of the “`pspec`” field. When overloading is enabled, this is equivalent to

    get objectConstructParam #pspec

setObjectConstructParamPspec :: MonadIO m => ObjectConstructParam -> Ptr GParamSpec -> m () Source #

Set the value of the “`pspec`” field. When overloading is enabled, this is equivalent to

    set objectConstructParam [ #pspec := value ]

## value

the value to set the parameter to

clearObjectConstructParamValue :: MonadIO m => ObjectConstructParam -> m () Source #

Set the value of the “`value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #value

getObjectConstructParamValue :: MonadIO m => ObjectConstructParam -> m (Maybe GValue) Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get objectConstructParam #value

setObjectConstructParamValue :: MonadIO m => ObjectConstructParam -> Ptr GValue -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set objectConstructParam [ #value := value ]